%define upstream_name    Net-Ping
%define upstream_version 2.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    TCP, UDP, or ICMP ping
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket) >= 2.7.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This module contains methods to test the reachability of remote hosts on a
network. A ping object is first created with optional parameters, a
variable number of hosts may be pinged multiple times and then the
connection is closed.

You may choose one of six different protocols to use for the ping. The
"tcp" protocol is the default. Note that a live remote host may still fail
to be pingable by one or more of these protocols. For example,
www.microsoft.com is generally alive but not "icmp" pingable.

With the "tcp" protocol the ping() method attempts to establish a
connection to the remote host's echo port. If the connection is
successfully established, the remote host is considered reachable. No data
is actually echoed. This protocol does not require any special privileges
but has higher overhead than the "udp" and "icmp" protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.410.0-6.mga6
+ Revision: 1031273
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.410.0-5.mga6
+ Revision: 946726
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.410.0-4.mga5
+ Revision: 749455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.410.0-3.mga5
+ Revision: 685705
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.410.0-2.mga4
+ Revision: 537394
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.410.0-1.mga4
+ Revision: 486897
- update to 2.41

* Wed Mar 27 2013 jquelin <jquelin> 2.360.0-5.mga3
+ Revision: 405514
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.360.0-4.mga3
+ Revision: 370812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.360.0-3.mga1
+ Revision: 26719
- mageia rebuild
- imported package perl-Net-Ping

